% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fit_and_reporting.R
\name{umxUnexplainedCausalNexus}
\alias{umxUnexplainedCausalNexus}
\title{umxUnexplainedCausalNexus}
\usage{
umxUnexplainedCausalNexus(from, delta, to, model = NULL)
}
\arguments{
\item{from}{A variable in the model for which you want to compute the effect of a change.}

\item{delta}{A the amount to simulate changing \sQuote{from} by.}

\item{to}{The dependent variable that you want to watch changing.}

\item{model}{The model containing variables from and to.}
}
\description{
umxUnexplainedCausalNexus report the effect of a change (delta) in a variable (from) on an output (to)
}
\examples{
\dontrun{
umxUnexplainedCausalNexus(from="yrsEd", delta = .5, to = "income35", model)
}
}
\references{
\itemize{
\item https://www.github.com/tbates/umx/
}
}
\seealso{
\itemize{
\item \code{\link[=mxCheckIdentification]{mxCheckIdentification()}}, \code{\link[=mxCompare]{mxCompare()}}
}

Other Modify or Compare Models: 
\code{\link{umxEquate}()},
\code{\link{umxFixAll}()},
\code{\link{umxMI}()},
\code{\link{umxModify}()},
\code{\link{umxSetParameters}()},
\code{\link{umx}}
}
\concept{Modify or Compare Models}
