% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/misc_and_utility.R
\name{umx_array_shift}
\alias{umx_array_shift}
\title{Like the php array_shift function: shifts an item off the beginning of a list}
\usage{
umx_array_shift(x)
}
\arguments{
\item{x}{the vector to shift}
}
\value{
\itemize{
\item first item of x
}
}
\description{
Returns x[1]. Has the SIDE EFFECT of assigning x to x[2:end] in the container environment.
}
\examples{
x = c("Alice", "Bob", "Carol")
umx_array_shift(x) # returns "Alice"
x # now only 2 items (altered in containing environment)
}
\seealso{
Other Miscellaneous Utility Functions: 
\code{\link{install.OpenMx}()},
\code{\link{qm}()},
\code{\link{umxBrownie}()},
\code{\link{umxLav2RAM}()},
\code{\link{umxRAM2Lav}()},
\code{\link{umxVersion}()},
\code{\link{umx_find_object}()},
\code{\link{umx_msg}()},
\code{\link{umx_open_CRAN_page}()},
\code{\link{umx_pad}()},
\code{\link{umx_print}()},
\code{\link{umx_score_scale}()},
\code{\link{umx}}
}
\concept{Miscellaneous Utility Functions}
